Skip to content
PUT/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value.
{major_version}The binder major_version_number__v field value.
{minor_version}The binder minor_version_number__v field value.

In the body of the request, add any editable field values that you wish to update. To remove existing field values, include the field name and set its value to null.

To find these fields, Retrieve Binder Version configured on binders.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "audience__c=Healthcare Provider" \ -d "country__v=1357662840400" \ https://myvault.veevavault.com/api/v26.1/objects/binders/566/0/1
{ "responseStatus": "SUCCESS", "id": 566 }

On SUCCESS, Vault updates field values for the specified version of the binder and returns the ID of the updated binder.